Last Comment Bug 219662 - "OK" button doesn't activate in "Link Properties" dialog
: "OK" button doesn't activate in "Link Properties" dialog
Status: RESOLVED FIXED
: fixed-seamonkey1.1.5, verified1.8.1.8
Product: MailNews Core
Classification: Components
Component: Composition (show other bugs)
: Trunk
: x86 Windows XP
: -- minor with 2 votes (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
: esther
Mentors:
: 317363 350468 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-18 22:00 PDT by Jerry Baker
Modified: 2011-08-21 12:37 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1.35 KB, patch)
2006-09-02 09:53 PDT, Andrew Schultz
neil: review-
neil: superreview-
Details | Diff | Splinter Review
Fix broken function too (1.30 KB, patch)
2007-09-06 07:21 PDT, neil@parkwaycc.co.uk
daniel: review+
mscott: superreview+
dveditz: approval1.8.1.8+
Details | Diff | Splinter Review

Description Jerry Baker 2003-09-18 22:00:47 PDT
2003091704 trunk

1. Open an HTML mail composition and insert a named anchor (Insert -> Named 
   Anchor).
2. Now, do Insert -> Link.
3. Select the named anchor from the dropdown FIRST, and then type in the text 
   for the link.

RESULT:
It is now IMPOSSIBLE to get the OK button to activate.

EXPECTED:
Activation of OK button should not depend on the order in which you complete fields.
Comment 1 Mike Cowperthwaite 2004-06-22 12:44:02 PDT
xref bug 244020: same bug for Composer, except it doesn't matter whether text is 
entered first: selecting the anchor from a dropdown always prevents the OK 
button from enabling.
Comment 2 Mike Cowperthwaite 2006-08-28 10:13:10 PDT
*** Bug 350468 has been marked as a duplicate of this bug. ***
Comment 3 Andrew Schultz 2006-09-02 09:53:48 PDT
Created attachment 236543 [details] [diff] [review]
patch

The autocomplete part has worked because typing in the textbox to active autocomplete enables the button
Comment 4 neil@parkwaycc.co.uk 2006-09-02 14:37:50 PDT
Comment on attachment 236543 [details] [diff] [review]
patch

>   <textbox id="hrefInput" type="autocomplete"
>            searchSessions="history" timeout="50" maxrows="6"
>            disablehistory="false" class="uri-element"
>            oninput="ChangeLinkLocation();">
>     <menupopup class="autocomplete-history-popup"
>                popupalign="topleft" popupanchor="bottomleft"
>-               oncommand="this.parentNode.value = event.target.getAttribute('label');"/>
>+               oncommand="this.parentNode.value = event.target.getAttribute('label'); doEnabling()"/>
Why do you think we don't use oninput="doEnabling()"? Hint: there are two reasons, one logical, one of style.
Comment 5 Bernie 2007-04-28 22:54:31 PDT
It is very hard to find this bug based on the title of the big, even though that title is accurate.  I would describe this bug as "Problem inserting link in e-mail".  I'm entering this comment hoping that if others do a search on this problem this comment will make it more likely that people will find it and VOTE for it.  

The problem persist in Thunderbird 1.5 and 2.0.0.0
Comment 6 Bernie 2007-04-28 23:04:20 PDT
(In reply to comment #5) [fixed typo]
> It is very hard to find this bug based on the title of the bug, even though
> that title is accurate.  I would describe this bug as "Problem inserting link
> in e-mail".  I'm entering this comment hoping that if others do a search on
> this problem this comment will make it more likely that people will find it and
> VOTE for it.  
> 
> The problem persist in Thunderbird 1.5 and 2.0.0.0
> 

Comment 7 Andrew Schultz 2007-09-02 20:29:21 PDT
*** Bug 317363 has been marked as a duplicate of this bug. ***
Comment 8 Jim Wagner 2007-09-03 06:12:46 PDT
Contrary to the original report it is possible to get the OK button to activate.  It's unacceptable, of course, but a workaround nonetheless.

Copied from Bug 317363:
The user must edit the anchor name manually, either by typing the whole thing or by selecting the anchor from the list, then editing with the keyboard in any way.  For example, select it from the list, backspace over the last character, then type it back again.
Comment 9 neil@parkwaycc.co.uk 2007-09-06 07:21:37 PDT
Created attachment 279905 [details] [diff] [review]
Fix broken function too

No wonder ajschult couldn't work out what my issue was - I'd accidentally broken the ChangeLinkLocation function so that it had the same effect as doEnabling :-( Line 251 contains the correct invocation, which I have copied.

Setting a textbox's value from script no longer triggers input events (bug 272002) so to fix this bug we have to call ChangeLinkLocation manually.
Comment 10 Daniel Glazman (:glazou) 2007-09-06 07:30:42 PDT
Comment on attachment 279905 [details] [diff] [review]
Fix broken function too

r=me
Comment 11 Scott MacGregor 2007-09-06 08:19:53 PDT
Comment on attachment 279905 [details] [diff] [review]
Fix broken function too

switching to a 1.8.1.7 nomination flag. Low risk correctness patch that shouldn't effect Firefox.
Comment 12 Daniel Veditz [:dveditz] 2007-09-07 11:56:47 PDT
Comment on attachment 279905 [details] [diff] [review]
Fix broken function too

approved for 1.8.1.7, a=dveditz for release-drivers
Comment 13 neil@parkwaycc.co.uk 2007-09-07 13:12:39 PDT
Fix checked in to the branch.
Comment 14 Carsten Book [:Tomcat] - PTO-back Sept 4th 2007-09-11 08:28:28 PDT
verified fixed 1.8.1.7 using Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.8.1.7pre) Gecko/20070910 Thunderbird/2.0.0.7pre Mnenhy/0.7.5.666 ID:2007091103

OK button works fine with the steps to reproduce from this bug. -> Adding verified keyword

Note You need to log in before you can comment on or make changes to this bug.